;;; Convert XCF files to PNG
;;;
;;;  Copyright (C) 2019 Mike Gerwitz
;;;
;;;  This program is free software: you can redistribute it and/or modify
;;;  it under the terms of the GNU General Public License as published by
;;;  the Free Software Foundation, either version 3 of the License, or
;;;  (at your option) any later version.
;;;
;;;  This program is distributed in the hope that it will be useful,
;;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;  GNU General Public License for more details.
;;;
;;;  You should have received a copy of the GNU General Public License
;;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.

(let* ((input-filename  (getenv "GIMP_INPUT"))
       (output-filename (getenv "GIMP_OUTPUT"))
       (image           (car (gimp-file-load RUN-NONINTERACTIVE
                                             input-filename
                                             input-filename)))
       (layer           (car (gimp-image-merge-visible-layers
                              image
                              CLIP-TO-IMAGE))))

    (gimp-file-save RUN-NONINTERACTIVE
                    image
                    layer
                    output-filename
                    output-filename)

    (gimp-image-delete image)
    (gimp-quit 0))

